Chat now with support
Chat with Support

Foglight 5.7.5 - Upgrade Guide

Understand product versions Best practices Upgrade the Foglight Management Server Upgrade the Foglight Agent Manager Upgrade the Application Monitoring cartridges Upgrade the Database cartridges Upgrade the End User Management cartridges Upgrade the Infrastructure Management cartridges Upgrade the Integration cartridges Upgrade the cartridges in a federated or High Availability (HA) environment Appendix: Deploy an agent package using the browser interface

Upgrade Foglight Change Analyzer

The latest version of Foglight Change Analyzer is 5.7.3.

Foglight Change Analyzer 5.7.3 requires Management Server version 5.7.5 (or later), or Foglight for Virtualization, Enterprise Edition 8.3 (or later). It also requires Foglight for VMware version 5.7.3 (or later).

Foglight for VMware version 5.7.3 (which includes the DRP-5_7_3.car, Virtual-VMware-5_7_3.car and Virtual-VMware-Admin-5_7_3.car cartridge files)
Foglight Change Analyzer version 5.7.3 (which includes the CommonAnalytics-5_7_3.car and ChangeAnalyzer-5_7_3.car cartridge files)
Foglight Resource Optimizer version 5.7.3 (which includes the Optimizer-5_7_3.car and VMware-Optimizer-5_7_3.car cartridge files)
NOTE: After installing the Virtual-VMware-5_7_3.car cartridge, existing vCenter agents (VC agents) must be updated using the Update Agent button in the VMware Environment > Administration tab.

Upgrade Foglight Chargeback

The latest version of Foglight Chargeback is 5.7.3.

Foglight Chargeback 5.7.3 requires Management Server version 5.7.5 (or later) or Foglight for Virtualization, Enterprise Edition 8.3 (or later).

Foglight Chargeback utilizes data collected by Foglight for VMware or Foglight for Hyper-V. Therefore, to upgrade Foglight Chargeback 5.7.3 on a Foglight Management Server, you must first install Foglight for VMware 5.7.3 (or later), or Foglight for Hyper-V 5.7.3 (or later).

Install version 5.7.3 of the cartridge (Chargeback-5_7_3.car) as you would install a new Foglight Chargeback cartridge. Do not delete the older version of the .car file. Install version 5.7.3 over the older version.

For cartridge installation instructions, see “Installing Foglight for Virtualization, Enterprise Edition Cartridges” in the Foglight for Virtualization, Enterprise Edition Administration and Configuration Help.

Upgrade Foglight for Hyper-V

The latest version of Foglight for Hyper-V is 5.7.3.

Foglight for Hyper-V 5.7.3 requires Management Server version 5.7.5 (or later), or Foglight for Virtualization, Enterprise Edition 8.3 (or later). Upgrading Foglight for Hyper-V on the Management Server makes an upgraded Hyper‑V Agent package available for deployment.

a
On the navigation panel, under Dashboards, click Administration > Agents > Agent Status.
4
On the Cartridge Inventory dashboard, install the following cartridge files. Do not remove the older version of these cartridges. Install the new versions over the older versions. The sequence of cartridge installation is important because of their dependencies.
Note: The monitoring of Hyper-V and Scale-Out File Server (SOFS) is enabled by the Virtual-HyperV-5_7_3.car file.
6
Update all of the existing Hyper-V agent instances. On the Hyper-V Environment dashboard > Administration tab, select all agent instances from the Agents table, and click Update Agent on the menu bar.
NOTE: Alternatively, you can deploy the updated agent package (HypervAgent.gar) using the browser interface; for details, see Appendix: Deploy an agent package using the browser interface. In this case, you need to create the corresponding credentials any existing Hyper-V agents manually, after deploying the agent package.

Upgrade Foglight Net Monitor

The latest version of Foglight Net Monitor is 5.8.5.8.

Foglight Net Monitor 5.8.5.8 requires Management Server version 5.6.5 or later. Foglight Agent Manager 5.7.0 or later must be installed on all the hosts that you want to use for local or remote monitoring.

2
Install the NetMonitor-5_8_5_8.car file on the Management Server as you would install a new Foglight Net Monitor. Do not uninstall or delete the previous version of this file. For complete instructions, see “Installing Foglight cartridges” in the Administration and Configuration Help.
Related Documents

The document was helpful.

Select Rating

I easily found the information I needed.

Select Rating